Bug 52996 - Please backport r723889 from trunk to have MaxQueueSize attribute for Executor available in Tomcat 6
Please backport r723889 from trunk to have MaxQueueSize attribute for Executo...
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.35
All All
: P2 enhancement (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2012-03-28 15:48 UTC by Ruediger Pluem
Modified: 2012-06-24 08:59 UTC (History)
0 users



Attachments
Backport of r1723889 to Tomcat 6.0.x trunk (6.24 KB, patch)
2012-03-28 15:48 UTC, Ruediger Pluem
Details | Diff
Backport of r723889 without changes to the Executor interface to Tomcat 6.0.x trunk (3.90 KB, patch)
2012-04-27 12:37 UTC, Ruediger Pluem
Details | Diff
Backport of r723889 without javadoc update (2.93 KB, patch)
2012-06-08 14:27 UTC, Konstantin Kolinko
Details | Diff
Added method execute(R,long.TU) to StandardThreadExecutor (4.13 KB, patch)
2012-06-08 14:52 UTC, Konstantin Kolinko
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ruediger Pluem 2012-03-28 15:48:10 UTC
Created attachment 28514 [details]
Backport of r1723889 to Tomcat 6.0.x trunk

Please backport r723889 (http://svn.apache.org/viewvc?view=revision&revision=723889, Add the ability to configure a job queue size, and a timeout for how long we want to try to add something to the queue.)

Having the MaxQueueSize attribute available for executors in Tomcat 6 would be quite handy for me.
Comment 1 Ruediger Pluem 2012-04-27 12:37:23 UTC
Created attachment 28687 [details]
Backport of r723889 without changes to the Executor interface to Tomcat 6.0.x trunk

As discussed on list: Backport version of r723889 without changes to the Executor interface to ensure backwards compatibility.
Comment 2 Konstantin Kolinko 2012-06-08 14:27:23 UTC
Created attachment 28905 [details]
Backport of r723889 without javadoc update

I applied Javadoc comments update from you patch in r1348086.
Here is your patch without those unrelated changes.
Comment 3 Konstantin Kolinko 2012-06-08 14:52:31 UTC
Created attachment 28907 [details]
Added method execute(R,long.TU) to StandardThreadExecutor

Added implementation of execute(...) method to the patch.

This addition does not break compatibility. It is not part of the Executor interface.
Comment 4 Konstantin Kolinko 2012-06-08 15:23:02 UTC
Proposed for 6.0.
Comment 5 Konstantin Kolinko 2012-06-24 08:59:15 UTC
Applied to 6.0 in r1353234 and will be in 6.0.36